/******************************************************************************
* File Name: main_cm4.c
*
* Version: 1.00
*
* Description:  This example demonstrates a Scan_ADC with the DieTemp sensor 
*               using low-level PDL function calls in the PSoC 6 MCU.
*
* Related Document: CE220974.pdf
*
* Hardware Dependency: CY8CKIT-062-BLE PSoC 6 BLE Pioneer Kit or 
*                      CY8CKIT-062 PSoC 6 Pioneer Kit
*
******************************************************************************
* Copyright (2017), Cypress Semiconductor Corporation.
******************************************************************************
* This software is owned by Cypress Semiconductor Corporation (Cypress) and is
* protected by and subject to worldwide patent protection (United States and
* foreign), United States copyright laws and international treaty provisions.
* Cypress hereby grants to licensee a personal, non-exclusive, non-transferable
* license to copy, use, modify, create derivative works of, and compile the
* Cypress Source Code and derivative works for the sole purpose of creating
* custom software in support of licensee product to be used only in conjunction
* with a Cypress integrated circuit as specified in the applicable agreement.
* Any reproduction, modification, translation, compilation, or representation of
* this software except as specified above is prohibited without the express
* written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the
* materials described herein. Cypress does not assume any liability arising out
* of the application or use of any product or circuit described herein. Cypress
* does not authorize its products for use as critical components in life-support
* systems where a malfunction or failure may reasonably be expected to result in
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of
* such use and in doing so indemnifies Cypress against all charges. Use may be
* limited by and subject to the applicable Cypress software license agreement.
*****************************************************************************/
#include <project.h>
#include <stdio.h>
#include "sar/cy_sar.h"
#include "sysanalog/cy_sysanalog.h"
#include "mcwdt/cy_mcwdt.h"
#include "sysclk/cy_sysclk.h"


int main(void)
{

   int16 adcResult[1] = {0};
   int16 voltage[1] = {0};

  /* Enale interrupt */
    __enable_irq();
   
    UART_Start();
    ADC_Start();
    UART_Put(0x55);
    
 for(;;)

{
    
      while(0u != ADC_IsEndConversion(CY_SAR_RETURN_STATUS))
       {;}
   
            
          
                /* Save and convert the ADC result value */
                adcResult[0] = ADC_GetResult16(0);
                UART_Put(CY_HI8(adcResult[0]));
                UART_Put(CY_LO8(adcResult[0]));

            CyDelay(500);
 
        ADC_StartConvert();
}
 
}
   




/* [] END OF FILE */
